package java.util.function;

import java.util.Objects;

@FunctionalInterface
public interface LongPredicate
{
    public abstract boolean test(long p0);
    
    default public LongPredicate and(LongPredicate obj) {
        Objects.requireNonNull(obj);
        return n2/* long, */ -> this.test(n2) && p0.test(n2);
    }
    
    default public LongPredicate negate() {
        return n2/* long, */ -> !this.test(n2);
    }
    
    default public LongPredicate or(LongPredicate obj) {
        Objects.requireNonNull(obj);
        return n2/* long, */ -> this.test(n2) || p0.test(n2);
    }
}
